%global sendmailcf %{_datadir}/sendmail-cf

Summary:        Additional m4 files used to generate sendmail.cf
Name:           open-sendmail
Version:        0
Release:    1%{?dist}
License:        Sendmail
URL:            http://open-sendmail.sourceforge.net/
Source0:        %{name}-%{version}.tar.bz2
Requires:       sendmail-cf
BuildArch:      noarch

%description
Open-Sendmail is the open development of additional m4 files
used to generate and enhance sendmail.cf. The project contains
sendmail goodies previously provided at anfi.homeunix.net and
additional items.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}{%{sendmailcf}/{feature,mailer}/%{name},%{_datadir}/%{name}}

install -p -m 644 cf/feature/anfi/*.m4 %{buildroot}%{sendmailcf}/feature/%{name}/
install -p -m 644 cf/mailer/anfi/*.m4 %{buildroot}%{sendmailcf}/mailer/%{name}/
install -p -m 644 cf/m4/*.patch %{buildroot}%{_datadir}/%{name}/

ln -sf %{name}/require_rdns.m4 %{buildroot}%{sendmailcf}/feature/require_rdns2.m4

%files
%doc cf/INSTALL.rtcyrus3 cf/MC.rtcyrus3
%{sendmailcf}/feature/require_rdns2.m4
%{sendmailcf}/feature/%{name}/
%{sendmailcf}/mailer/%{name}/
%{_datadir}/%{name}/

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0-1
- initial build
